List image history entries
GET
/deployments/{id}/image-history
const url = 'https://example.com/deployments/example/image-history';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/deployments/example/image-history \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
branch
string | null
buildCompletedAt
string | null
buildLogs
string | null
buildStartedAt
string | null
commitAuthorName
string | null
commitAuthorUsername
string | null
commitMessage
string | null
commitSha
string | null
createdAt
required
string
deploymentId
string
id
required
string
image
required
string
isActive
required
boolean
tag
string
triggeredBy
object
firstName
string | null
id
required
string
lastName
string | null
username
string | null
key
additional properties
triggeredById
string | null
triggerType
string | null
key
additional properties
Example generated
[ { "branch": "example", "buildCompletedAt": "example", "buildLogs": "example", "buildStartedAt": "example", "commitAuthorName": "example", "commitAuthorUsername": "example", "commitMessage": "example", "commitSha": "example", "createdAt": "example", "deploymentId": "example", "id": "example", "image": "example", "isActive": true, "tag": "example", "triggeredBy": { "firstName": "example", "id": "example", "lastName": "example", "username": "example" }, "triggeredById": "example", "triggerType": "example" }]